Bug 1369110 - CVE-2016-6830 CVE-2016-6831 chicken: Buffer overflow and a memory leak in the POSIX unit's procedures process-execute and process-spawn [epel-all]
Summary: CVE-2016-6830 CVE-2016-6831 chicken: Buffer overflow and a memory leak in the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: chicken
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-6830, CVE-2016-6831
TreeView+ depends on / blocked
 
Reported: 2016-08-22 13:48 UTC by Andrej Nemec
Modified: 2017-06-10 04:28 UTC (History)
1 user (show)

Fixed In Version: chicken-4.11.0-3.fc25 chicken-4.11.0-3.fc24 chicken-4.12.0-2.el6 chicken-4.12.0-2.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-10 04:20:40 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-08-22 13:48:41 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-08-22 13:48:46 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1369108,1369110

# Description of your update
notes=Security fix for CVE-2016-6830, CVE-2016-6831

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2016-08-24 10:19:30 UTC
chicken-4.11.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8f4ff76b3

Comment 3 Fedora Update System 2016-08-24 10:19:37 UTC
chicken-4.11.0-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8594ed3a53

Comment 4 Fedora Update System 2016-08-24 10:19:41 UTC
chicken-4.11.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ef628998f

Comment 5 Fedora Update System 2016-08-24 10:19:46 UTC
chicken-4.11.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b3ed5f170

Comment 6 Fedora Update System 2016-08-25 09:29:00 UTC
chicken-4.11.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b3ed5f170

Comment 7 Fedora Update System 2016-08-25 09:46:28 UTC
chicken-4.11.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8594ed3a53

Comment 8 Fedora Update System 2016-08-25 10:25:05 UTC
chicken-4.11.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e8f4ff76b3

Comment 9 Fedora Update System 2016-08-25 10:31:59 UTC
chicken-4.11.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ef628998f

Comment 10 Fedora Update System 2017-01-19 05:53:32 UTC
chicken-4.11.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-19 06:19:43 UTC
chicken-4.11.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-12 01:18:06 UTC
chicken-4.12.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4aef39b497

Comment 13 Fedora Update System 2017-05-12 01:18:19 UTC
chicken-4.12.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6acdeb07a7

Comment 14 Fedora Update System 2017-05-12 19:53:01 UTC
chicken-4.12.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4aef39b497

Comment 15 Fedora Update System 2017-05-12 19:56:58 UTC
chicken-4.12.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6acdeb07a7

Comment 16 Fedora Update System 2017-06-10 04:20:40 UTC
chicken-4.12.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-06-10 04:28:38 UTC
chicken-4.12.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.